All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scheduler::statement_node Struct Reference

Main datastructure for an node in the statement tree. More...

`#include <forwards.h>`

## Public Attributes

lhs_rhs_element | lhs
op_element | op
lhs_rhs_element | rhs

## Detailed Description

Main datastructure for an node in the statement tree.

Definition at line 478 of file forwards.h.

## Member Data Documentation

lhs_rhs_element viennacl::scheduler::statement_node::lhs

Definition at line 480 of file forwards.h.

op_element viennacl::scheduler::statement_node::op

Definition at line 481 of file forwards.h.

lhs_rhs_element viennacl::scheduler::statement_node::rhs

Definition at line 482 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/scheduler/forwards.h